Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.debug3d
Class Debug3dVRMLImpl

    java.lang.Object
      de.grogra.ray.debug3d.Debug3dVRMLImpl

All Implemented Interfaces:
  Debug3dImpl

    public class Debug3dVRMLImpl

extends java.lang.Object
implements Debug3dImpl

Constructor Summary
`Debug3dVRMLImpl()`

Method Summary
`void` | `clear()`
`void` | `flush()`
`void` | `logCamera(RTCamera camera)`
`void` | `logDirectLightRay(Ray ray)`
`void` | `logFiniteRay(Ray ray, float scale, float weight)`
`void` | `logInfiniteRay(Ray ray, float weight)`
`void` | `logNormal(Tuple3f point, Tuple3f direction)`
`void` | `logScene(RTScene scene)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Debug3dVRMLImpl

    public Debug3dVRMLImpl()

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Debug3dImpl`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Debug3dImpl`

### logCamera

    public void logCamera(RTCamera camera)

  Specified by:
    `logCamera` in interface `Debug3dImpl`

### logDirectLightRay

    public void logDirectLightRay(Ray ray)

  Specified by:
    `logDirectLightRay` in interface `Debug3dImpl`

### logFiniteRay

    public void logFiniteRay(Ray ray,
                             float scale,
                             float weight)

  Specified by:
    `logFiniteRay` in interface `Debug3dImpl`

### logInfiniteRay

    public void logInfiniteRay(Ray ray,
                               float weight)

  Specified by:
    `logInfiniteRay` in interface `Debug3dImpl`

### logNormal

    public void logNormal(Tuple3f point,
                          Tuple3f direction)

  Specified by:
    `logNormal` in interface `Debug3dImpl`

### logScene

    public void logScene(RTScene scene)

  Specified by:
    `logScene` in interface `Debug3dImpl`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD